rte_flow_action_prog_argument(3)

NAME
rte_flow_action_prog_argument

SYNOPSIS

#include <rte_flow.h>

  Data Fields

const char * name
uint32_t size
const uint8_t * value

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Program action argument configuration parameters.

For each action argument, its size must be non-zero and its value must point to a valid array of size bytes specified in network byte order.

See also
    struct rte_flow_action_prog

Definition at line 4211 of file rte_flow.h.

Field Documentation

  const char* name
Argument name.

Definition at line 4213 of file rte_flow.h.

  uint32_t size
Argument size in bytes.

Definition at line 4215 of file rte_flow.h.

  const uint8_t* value
Argument value.

Definition at line 4217 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.